#ifndef DOXYGEN_AUTODOC_HPP_FCL_BROADPHASE_BROADPHASE_COLLISION_MANAGER_H
#define DOXYGEN_AUTODOC_HPP_FCL_BROADPHASE_BROADPHASE_COLLISION_MANAGER_H

#include "/builddir/build/BUILD/agiros-loong-hpp-fcl-2.3.0/doc/python/doxygen.hh"

#include <hpp/fcl/broadphase/broadphase_collision_manager.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::BroadPhaseCollisionManager >
{
static inline const char* run ()
{
  return "Base class for broad phase collision. It helps to accelerate the collision/distance between N objects. Also support self collision, self distance and collision/distance with another M objects. ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::BroadPhaseCollisionManager >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct destructor_doc_impl < hpp::fcl::BroadPhaseCollisionManager >
{
static inline const char* run ()
{
  return "";
}
};

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) (const std::vector< hpp::fcl::CollisionObject * > &))
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) (const std::vector< hpp::fcl::CollisionObject * > &)>(&hpp::fcl::BroadPhaseCollisionManager::registerObjects))
    return "add objects to the manager ";
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) (const std::vector< hpp::fcl::CollisionObject * > &)>(&hpp::fcl::BroadPhaseCollisionManager::update))
    return "update the manager by explicitly given the set of objects update ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) (const std::vector< hpp::fcl::CollisionObject * > &))
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) (const std::vector< hpp::fcl::CollisionObject * > &)>(&hpp::fcl::BroadPhaseCollisionManager::registerObjects))
    return (boost::python::arg("self"), boost::python::arg("other_objs"));
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) (const std::vector< hpp::fcl::CollisionObject * > &)>(&hpp::fcl::BroadPhaseCollisionManager::update))
    return (boost::python::arg("self"), boost::python::arg("updated_objs"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::CollisionObject *))
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *)>(&hpp::fcl::BroadPhaseCollisionManager::registerObject))
    return "add one object to the manager ";
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *)>(&hpp::fcl::BroadPhaseCollisionManager::unregisterObject))
    return "remove one object from the manager ";
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *)>(&hpp::fcl::BroadPhaseCollisionManager::update))
    return "update the manager by explicitly given the object updated ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::CollisionObject *))
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *)>(&hpp::fcl::BroadPhaseCollisionManager::registerObject))
    return (boost::python::arg("self"), boost::python::arg("obj"));
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *)>(&hpp::fcl::BroadPhaseCollisionManager::unregisterObject))
    return (boost::python::arg("self"), boost::python::arg("obj"));
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *)>(&hpp::fcl::BroadPhaseCollisionManager::update))
    return (boost::python::arg("self"), boost::python::arg("updated_obj"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ()>(&hpp::fcl::BroadPhaseCollisionManager::setup))
    return "initialize the manager, related with the specific type of manager ";
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ()>(&hpp::fcl::BroadPhaseCollisionManager::update))
    return "update the condition of manager ";
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ()>(&hpp::fcl::BroadPhaseCollisionManager::clear))
    return "clear the manager ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ()>(&hpp::fcl::BroadPhaseCollisionManager::setup))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ()>(&hpp::fcl::BroadPhaseCollisionManager::update))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ()>(&hpp::fcl::BroadPhaseCollisionManager::clear))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) (std::vector< hpp::fcl::CollisionObject * > &) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) (std::vector< hpp::fcl::CollisionObject * > &) const>(&hpp::fcl::BroadPhaseCollisionManager::getObjects))
    return "return the objects managed by the manager ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) (std::vector< hpp::fcl::CollisionObject * > &) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) (std::vector< hpp::fcl::CollisionObject * > &) const>(&hpp::fcl::BroadPhaseCollisionManager::getObjects))
    return (boost::python::arg("self"), boost::python::arg("objs"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (std::vector< hpp::fcl::CollisionObject * > (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) () const)
{
  if (function_ptr == static_cast<std::vector< hpp::fcl::CollisionObject * > (hpp::fcl::BroadPhaseCollisionManager::*) () const>(&hpp::fcl::BroadPhaseCollisionManager::getObjects))
    return "return the objects managed by the manager ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (std::vector< hpp::fcl::CollisionObject * > (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) () const)
{
  if (function_ptr == static_cast<std::vector< hpp::fcl::CollisionObject * > (hpp::fcl::BroadPhaseCollisionManager::*) () const>(&hpp::fcl::BroadPhaseCollisionManager::getObjects))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::collide))
    return "perform collision test between one object and all the objects belonging to the manager ";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::collide))
    return (boost::python::arg("self"), boost::python::arg("obj"), boost::python::arg("callback"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::DistanceCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::DistanceCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::distance))
    return "perform distance computation between one object and all the objects belonging to the manager ";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::DistanceCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::DistanceCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::distance))
    return (boost::python::arg("self"), boost::python::arg("obj"), boost::python::arg("callback"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::CollisionCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::collide))
    return "perform collision test for the objects belonging to the manager (i.e., N^2 self collision) ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::CollisionCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::CollisionCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::collide))
    return (boost::python::arg("self"), boost::python::arg("callback"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::DistanceCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::DistanceCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::distance))
    return "perform distance test for the objects belonging to the manager (i.e., N^2 self distance) ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::DistanceCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::DistanceCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::distance))
    return (boost::python::arg("self"), boost::python::arg("callback"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::BroadPhaseCollisionManager *,  hpp::fcl::CollisionCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::BroadPhaseCollisionManager *,  hpp::fcl::CollisionCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::collide))
    return "perform collision test with objects belonging to another manager ";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::BroadPhaseCollisionManager *,  hpp::fcl::CollisionCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::BroadPhaseCollisionManager *,  hpp::fcl::CollisionCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::collide))
    return (boost::python::arg("self"), boost::python::arg("other_manager"), boost::python::arg("callback"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::BroadPhaseCollisionManager *,  hpp::fcl::DistanceCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::BroadPhaseCollisionManager *,  hpp::fcl::DistanceCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::distance))
    return "perform distance test with objects belonging to another manager ";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args (void (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) ( hpp::fcl::BroadPhaseCollisionManager *,  hpp::fcl::DistanceCallBackBase *) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::BroadPhaseCollisionManager::*) ( hpp::fcl::BroadPhaseCollisionManager *,  hpp::fcl::DistanceCallBackBase *) const>(&hpp::fcl::BroadPhaseCollisionManager::distance))
    return (boost::python::arg("self"), boost::python::arg("other_manager"), boost::python::arg("callback"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc (bool (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) () const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::BroadPhaseCollisionManager::*) () const>(&hpp::fcl::BroadPhaseCollisionManager::empty))
    return "whether the manager is empty ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (bool (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) () const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::BroadPhaseCollisionManager::*) () const>(&hpp::fcl::BroadPhaseCollisionManager::empty))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (size_t (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) () const)
{
  if (function_ptr == static_cast<size_t (hpp::fcl::BroadPhaseCollisionManager::*) () const>(&hpp::fcl::BroadPhaseCollisionManager::size))
    return "the number of objects managed by the manager ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (size_t (hpp::fcl::BroadPhaseCollisionManager::*function_ptr) () const)
{
  if (function_ptr == static_cast<size_t (hpp::fcl::BroadPhaseCollisionManager::*) () const>(&hpp::fcl::BroadPhaseCollisionManager::size))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}
} // namespace doxygen

#endif // DOXYGEN_AUTODOC_HPP_FCL_BROADPHASE_BROADPHASE_COLLISION_MANAGER_H

