#ifndef DOXYGEN_AUTODOC_HPP_FCL_BROADPHASE_DEFAULT_BROADPHASE_CALLBACKS_H
#define DOXYGEN_AUTODOC_HPP_FCL_BROADPHASE_DEFAULT_BROADPHASE_CALLBACKS_H

#include "/builddir/build/BUILD/agiros-loong-hpp-fcl-2.3.0/doc/python/doxygen.hh"

#include <hpp/fcl/broadphase/default_broadphase_callbacks.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::CollisionCallBackCollect >
{
static inline const char* run ()
{
  return "Collision callback to collect collision pairs potentially in contacts. ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_1_impl< hpp::fcl::CollisionCallBackCollect, const size_t >
{
static inline const char* doc ()
{
  return "Default constructor. ";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("max_size"));
}
};

template <>
struct destructor_doc_impl < hpp::fcl::CollisionCallBackCollect >
{
static inline const char* run ()
{
  return "";
}
};

inline const char* member_func_doc (bool (hpp::fcl::CollisionCallBackCollect::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *))
{
  if (function_ptr == static_cast<bool (hpp::fcl::CollisionCallBackCollect::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *)>(&hpp::fcl::CollisionCallBackCollect::collide))
    return "Collision evaluation between two objects in collision. This callback will cause the broadphase evaluation to stop if it returns true. \n"
"\n"
"\n"
"Param\n"
"  - o1 Collision object #1. \n"
"  - o2 Collision object #2. ";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args (bool (hpp::fcl::CollisionCallBackCollect::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *))
{
  if (function_ptr == static_cast<bool (hpp::fcl::CollisionCallBackCollect::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *)>(&hpp::fcl::CollisionCallBackCollect::collide))
    return (boost::python::arg("self"), boost::python::arg("o1"), boost::python::arg("o2"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc (size_t (hpp::fcl::CollisionCallBackCollect::*function_ptr) () const)
{
  if (function_ptr == static_cast<size_t (hpp::fcl::CollisionCallBackCollect::*) () const>(&hpp::fcl::CollisionCallBackCollect::numCollisionPairs))
    return "Returns the number of registered collision pairs. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (size_t (hpp::fcl::CollisionCallBackCollect::*function_ptr) () const)
{
  if (function_ptr == static_cast<size_t (hpp::fcl::CollisionCallBackCollect::*) () const>(&hpp::fcl::CollisionCallBackCollect::numCollisionPairs))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (const std::vector< hpp::fcl::CollisionCallBackCollect::CollisionPair > & (hpp::fcl::CollisionCallBackCollect::*function_ptr) () const)
{
  if (function_ptr == static_cast<const std::vector< hpp::fcl::CollisionCallBackCollect::CollisionPair > & (hpp::fcl::CollisionCallBackCollect::*) () const>(&hpp::fcl::CollisionCallBackCollect::getCollisionPairs))
    return "Returns a const reference to the active collision_pairs to check. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (const std::vector< hpp::fcl::CollisionCallBackCollect::CollisionPair > & (hpp::fcl::CollisionCallBackCollect::*function_ptr) () const)
{
  if (function_ptr == static_cast<const std::vector< hpp::fcl::CollisionCallBackCollect::CollisionPair > & (hpp::fcl::CollisionCallBackCollect::*) () const>(&hpp::fcl::CollisionCallBackCollect::getCollisionPairs))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::CollisionCallBackCollect::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::CollisionCallBackCollect::*) ()>(&hpp::fcl::CollisionCallBackCollect::init))
    return "Reset the callback. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::CollisionCallBackCollect::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::CollisionCallBackCollect::*) ()>(&hpp::fcl::CollisionCallBackCollect::init))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (bool (hpp::fcl::CollisionCallBackCollect::*function_ptr) (const hpp::fcl::CollisionCallBackCollect::CollisionPair &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::CollisionCallBackCollect::*) (const hpp::fcl::CollisionCallBackCollect::CollisionPair &) const>(&hpp::fcl::CollisionCallBackCollect::exist))
    return "Check wether a collision pair exists. ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (bool (hpp::fcl::CollisionCallBackCollect::*function_ptr) (const hpp::fcl::CollisionCallBackCollect::CollisionPair &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::CollisionCallBackCollect::*) (const hpp::fcl::CollisionCallBackCollect::CollisionPair &) const>(&hpp::fcl::CollisionCallBackCollect::exist))
    return (boost::python::arg("self"), boost::python::arg("pair"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/broadphase/default_broadphase_callbacks.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::CollisionCallBackDefault >
{
static inline const char* run ()
{
  return "Default collision callback to check collision between collision objects. ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct destructor_doc_impl < hpp::fcl::CollisionCallBackDefault >
{
static inline const char* run ()
{
  return "";
}
};

inline const char* member_func_doc (bool (hpp::fcl::CollisionCallBackDefault::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *))
{
  if (function_ptr == static_cast<bool (hpp::fcl::CollisionCallBackDefault::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *)>(&hpp::fcl::CollisionCallBackDefault::collide))
    return "Collision evaluation between two objects in collision. This callback will cause the broadphase evaluation to stop if it returns true. \n"
"\n"
"\n"
"Param\n"
"  - o1 Collision object #1. \n"
"  - o2 Collision object #2. ";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args (bool (hpp::fcl::CollisionCallBackDefault::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *))
{
  if (function_ptr == static_cast<bool (hpp::fcl::CollisionCallBackDefault::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *)>(&hpp::fcl::CollisionCallBackDefault::collide))
    return (boost::python::arg("self"), boost::python::arg("o1"), boost::python::arg("o2"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}
} // namespace doxygen
#include <hpp/fcl/broadphase/default_broadphase_callbacks.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::CollisionData >
{
static inline const char* run ()
{
  return "Collision data stores the collision request and the result given by collision algorithm. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "request") == 0)
    return "Collision request. ";
  if (strcmp(attrib, "result") == 0)
    return "Collision result. ";
  if (strcmp(attrib, "done") == 0)
    return "Whether the collision iteration can stop. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::CollisionData >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};
} // namespace doxygen
#include <hpp/fcl/broadphase/default_broadphase_callbacks.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::DistanceCallBackDefault >
{
static inline const char* run ()
{
  return "Default distance callback to check collision between collision objects. ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct destructor_doc_impl < hpp::fcl::DistanceCallBackDefault >
{
static inline const char* run ()
{
  return "";
}
};

inline const char* member_func_doc (bool (hpp::fcl::DistanceCallBackDefault::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *,  hpp::fcl::FCL_REAL &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::DistanceCallBackDefault::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *,  hpp::fcl::FCL_REAL &)>(&hpp::fcl::DistanceCallBackDefault::distance))
    return "Distance evaluation between two objects in collision. This callback will cause the broadphase evaluation to stop if it returns true. \n"
"\n"
"\n"
"Param\n"
"  - o1 Collision object #1. \n"
"  - o2 Collision object #2. \n"
"  - dist Distance between the two collision geometries. ";
  return "";
}

inline boost::python::detail::keywords<4> member_func_args (bool (hpp::fcl::DistanceCallBackDefault::*function_ptr) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *,  hpp::fcl::FCL_REAL &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::DistanceCallBackDefault::*) ( hpp::fcl::CollisionObject *,  hpp::fcl::CollisionObject *,  hpp::fcl::FCL_REAL &)>(&hpp::fcl::DistanceCallBackDefault::distance))
    return (boost::python::arg("self"), boost::python::arg("o1"), boost::python::arg("o2"), boost::python::arg("dist"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"), boost::python::arg("arg2"));
}
} // namespace doxygen
#include <hpp/fcl/broadphase/default_broadphase_callbacks.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::DistanceData >
{
static inline const char* run ()
{
  return "Distance data stores the distance request and the result given by distance algorithm. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "request") == 0)
    return "Distance request. ";
  if (strcmp(attrib, "result") == 0)
    return "Distance result. ";
  if (strcmp(attrib, "done") == 0)
    return "Whether the distance iteration can stop. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::DistanceData >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};
} // namespace doxygen

#endif // DOXYGEN_AUTODOC_HPP_FCL_BROADPHASE_DEFAULT_BROADPHASE_CALLBACKS_H

