#ifndef DOXYGEN_AUTODOC_HPP_FCL_MATH_TRANSFORM_H
#define DOXYGEN_AUTODOC_HPP_FCL_MATH_TRANSFORM_H

#include "/builddir/build/BUILD/agiros-loong-hpp-fcl-2.3.0/doc/python/doxygen.hh"

#include <hpp/fcl/math/transform.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::Transform3f >
{
static inline const char* run ()
{
  return "Simple transform class used locally by InterpMotion. ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::Transform3f >
{
static inline const char* doc ()
{
  return "Default transform is no movement. ";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <typename Matrixx3Like, typename Vector3Like>
struct constructor_2_impl< hpp::fcl::Transform3f, const Eigen::MatrixBase< Matrixx3Like > &, const Eigen::MatrixBase< Vector3Like > & >
{
static inline const char* doc ()
{
  return "Construct transform from rotation and translation. ";
}
static inline boost::python::detail::keywords<2+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("R_"), boost::python::arg("T_"));
}
};

template <typename Vector3Like>
struct constructor_2_impl< hpp::fcl::Transform3f, const hpp::fcl::Quaternion3f &, const Eigen::MatrixBase< Vector3Like > & >
{
static inline const char* doc ()
{
  return "Construct transform from rotation and translation. ";
}
static inline boost::python::detail::keywords<2+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("q_"), boost::python::arg("T_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Transform3f, const hpp::fcl::Matrix3f & >
{
static inline const char* doc ()
{
  return "Construct transform from rotation. ";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("R_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Transform3f, const hpp::fcl::Quaternion3f & >
{
static inline const char* doc ()
{
  return "Construct transform from rotation. ";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("q_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Transform3f, const hpp::fcl::Vec3f & >
{
static inline const char* doc ()
{
  return "Construct transform from translation. ";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("T_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Transform3f, const hpp::fcl::Transform3f & >
{
static inline const char* doc ()
{
  return "Construct transform from other transform. ";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("tf"));
}
};

inline const char* member_func_doc ( hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Transform3f &))
{
  if (function_ptr == static_cast< hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &)>(&hpp::fcl::Transform3f::operator=))
    return "operator = ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Transform3f &))
{
  if (function_ptr == static_cast< hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &)>(&hpp::fcl::Transform3f::operator=))
    return (boost::python::arg("self"), boost::python::arg("tf"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (const hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*function_ptr) () const)
{
  if (function_ptr == static_cast<const hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::getTranslation))
    return "get translation ";
  if (function_ptr == static_cast<const hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::translation))
    return "get translation ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (const hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*function_ptr) () const)
{
  if (function_ptr == static_cast<const hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::getTranslation))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast<const hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::translation))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::translation))
    return "get translation ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f & (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::translation))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (const hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*function_ptr) () const)
{
  if (function_ptr == static_cast<const hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::getRotation))
    return "get rotation ";
  if (function_ptr == static_cast<const hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::rotation))
    return "get rotation ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (const hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*function_ptr) () const)
{
  if (function_ptr == static_cast<const hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::getRotation))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast<const hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::rotation))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::rotation))
    return "get rotation ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f & (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::rotation))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Quaternion3f (hpp::fcl::Transform3f::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Quaternion3f (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::getQuatRotation))
    return "get quaternion ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Quaternion3f (hpp::fcl::Transform3f::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Quaternion3f (hpp::fcl::Transform3f::*) () const>(&hpp::fcl::Transform3f::getQuatRotation))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

template <typename Matrix3Like, typename Vector3Like>
inline const char* member_func_doc (void (hpp::fcl::Transform3f::*function_ptr) (const Eigen::MatrixBase< Matrix3Like > &, const Eigen::MatrixBase< Vector3Like > &))
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const Eigen::MatrixBase< Matrix3Like > &, const Eigen::MatrixBase< Vector3Like > &)>(&hpp::fcl::Transform3f::setTransform))
    return "set transform from rotation and translation ";
  return "";
}

template <typename Matrix3Like, typename Vector3Like>
inline boost::python::detail::keywords<3> member_func_args (void (hpp::fcl::Transform3f::*function_ptr) (const Eigen::MatrixBase< Matrix3Like > &, const Eigen::MatrixBase< Vector3Like > &))
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const Eigen::MatrixBase< Matrix3Like > &, const Eigen::MatrixBase< Vector3Like > &)>(&hpp::fcl::Transform3f::setTransform))
    return (boost::python::arg("self"), boost::python::arg("R_"), boost::python::arg("T_"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc (void (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Quaternion3f &, const hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const hpp::fcl::Quaternion3f &, const hpp::fcl::Vec3f &)>(&hpp::fcl::Transform3f::setTransform))
    return "set transform from rotation and translation ";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args (void (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Quaternion3f &, const hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const hpp::fcl::Quaternion3f &, const hpp::fcl::Vec3f &)>(&hpp::fcl::Transform3f::setTransform))
    return (boost::python::arg("self"), boost::python::arg("q_"), boost::python::arg("T_"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

template <typename Derived>
inline const char* member_func_doc (void (hpp::fcl::Transform3f::*function_ptr) (const Eigen::MatrixBase< Derived > &))
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const Eigen::MatrixBase< Derived > &)>(&hpp::fcl::Transform3f::setRotation))
    return "set transform from rotation ";
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const Eigen::MatrixBase< Derived > &)>(&hpp::fcl::Transform3f::setTranslation))
    return "set transform from translation ";
  return "";
}

template <typename Derived>
inline boost::python::detail::keywords<2> member_func_args (void (hpp::fcl::Transform3f::*function_ptr) (const Eigen::MatrixBase< Derived > &))
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const Eigen::MatrixBase< Derived > &)>(&hpp::fcl::Transform3f::setRotation))
    return (boost::python::arg("self"), boost::python::arg("R_"));
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const Eigen::MatrixBase< Derived > &)>(&hpp::fcl::Transform3f::setTranslation))
    return (boost::python::arg("self"), boost::python::arg("T_"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (void (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Quaternion3f &))
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const hpp::fcl::Quaternion3f &)>(&hpp::fcl::Transform3f::setQuatRotation))
    return "set transform from rotation ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (void (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Quaternion3f &))
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) (const hpp::fcl::Quaternion3f &)>(&hpp::fcl::Transform3f::setQuatRotation))
    return (boost::python::arg("self"), boost::python::arg("q_"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

template <typename Derived>
inline const char* member_func_doc ( hpp::fcl::Vec3f (hpp::fcl::Transform3f::*function_ptr) (const Eigen::MatrixBase< Derived > &) const)
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::Transform3f::*) (const Eigen::MatrixBase< Derived > &) const>(&hpp::fcl::Transform3f::transform))
    return "transform a given vector by the transform ";
  return "";
}

template <typename Derived>
inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::Vec3f (hpp::fcl::Transform3f::*function_ptr) (const Eigen::MatrixBase< Derived > &) const)
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::Transform3f::*) (const Eigen::MatrixBase< Derived > &) const>(&hpp::fcl::Transform3f::transform))
    return (boost::python::arg("self"), boost::python::arg("v"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc ( hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::inverseInPlace))
    return "inverse transform ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::inverseInPlace))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Transform3f (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::Transform3f (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::inverse))
    return "inverse transform ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Transform3f (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::Transform3f (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::inverse))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Transform3f (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Transform3f &) const)
{
  if (function_ptr == static_cast< hpp::fcl::Transform3f (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &) const>(&hpp::fcl::Transform3f::inverseTimes))
    return "inverse the transform and multiply with another ";
  if (function_ptr == static_cast< hpp::fcl::Transform3f (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &) const>(&hpp::fcl::Transform3f::operator*))
    return "multiply with another transform ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::Transform3f (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Transform3f &) const)
{
  if (function_ptr == static_cast< hpp::fcl::Transform3f (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &) const>(&hpp::fcl::Transform3f::inverseTimes))
    return (boost::python::arg("self"), boost::python::arg("other"));
  if (function_ptr == static_cast< hpp::fcl::Transform3f (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &) const>(&hpp::fcl::Transform3f::operator*))
    return (boost::python::arg("self"), boost::python::arg("other"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (const hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Transform3f &))
{
  if (function_ptr == static_cast<const hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &)>(&hpp::fcl::Transform3f::operator*=))
    return "multiply with another transform ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (const hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Transform3f &))
{
  if (function_ptr == static_cast<const hpp::fcl::Transform3f & (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &)>(&hpp::fcl::Transform3f::operator*=))
    return (boost::python::arg("self"), boost::python::arg("other"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (bool (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::FCL_REAL &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::Transform3f::*) (const hpp::fcl::FCL_REAL &) const>(&hpp::fcl::Transform3f::isIdentity))
    return "check whether the transform is identity ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (bool (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::FCL_REAL &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::Transform3f::*) (const hpp::fcl::FCL_REAL &) const>(&hpp::fcl::Transform3f::isIdentity))
    return (boost::python::arg("self"), boost::python::arg("prec"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (void (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::setIdentity))
    return "set the transform to be identity transform ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::Transform3f::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Transform3f::*) ()>(&hpp::fcl::Transform3f::setIdentity))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (bool (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Transform3f &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &) const>(&hpp::fcl::Transform3f::operator==))
    return "";
  if (function_ptr == static_cast<bool (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &) const>(&hpp::fcl::Transform3f::operator!=))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (bool (hpp::fcl::Transform3f::*function_ptr) (const hpp::fcl::Transform3f &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &) const>(&hpp::fcl::Transform3f::operator==))
    return (boost::python::arg("self"), boost::python::arg("other"));
  if (function_ptr == static_cast<bool (hpp::fcl::Transform3f::*) (const hpp::fcl::Transform3f &) const>(&hpp::fcl::Transform3f::operator!=))
    return (boost::python::arg("self"), boost::python::arg("other"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen

#endif // DOXYGEN_AUTODOC_HPP_FCL_MATH_TRANSFORM_H

