#ifndef DOXYGEN_AUTODOC_HPP_FCL_MESH_LOADER_LOADER_H
#define DOXYGEN_AUTODOC_HPP_FCL_MESH_LOADER_LOADER_H

#include "/builddir/build/BUILD/agiros-loong-hpp-fcl-2.3.0/doc/python/doxygen.hh"

#include <hpp/fcl/mesh_loader/loader.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::CachedMeshLoader >
{
static inline const char* run ()
{
  return "Class for building polyhedron from files with cache mechanism. This class builds a new object for each different file. If method CachedMeshLoader::load is called twice with the same arguments, the second call returns the result of the first call. ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct destructor_doc_impl < hpp::fcl::CachedMeshLoader >
{
static inline const char* run ()
{
  return "";
}
};

template <>
struct constructor_1_impl< hpp::fcl::CachedMeshLoader, const hpp::fcl::NODE_TYPE & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("bvType"));
}
};

inline const char* member_func_doc ( hpp::fcl::BVHModelPtr_t (hpp::fcl::CachedMeshLoader::*function_ptr) (const std::string &, const hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast< hpp::fcl::BVHModelPtr_t (hpp::fcl::CachedMeshLoader::*) (const std::string &, const hpp::fcl::Vec3f &)>(&hpp::fcl::CachedMeshLoader::load))
    return "";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args ( hpp::fcl::BVHModelPtr_t (hpp::fcl::CachedMeshLoader::*function_ptr) (const std::string &, const hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast< hpp::fcl::BVHModelPtr_t (hpp::fcl::CachedMeshLoader::*) (const std::string &, const hpp::fcl::Vec3f &)>(&hpp::fcl::CachedMeshLoader::load))
    return (boost::python::arg("self"), boost::python::arg("filename"), boost::python::arg("scale"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc (const hpp::fcl::CachedMeshLoader::Cache_t & (hpp::fcl::CachedMeshLoader::*function_ptr) () const)
{
  if (function_ptr == static_cast<const hpp::fcl::CachedMeshLoader::Cache_t & (hpp::fcl::CachedMeshLoader::*) () const>(&hpp::fcl::CachedMeshLoader::cache))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (const hpp::fcl::CachedMeshLoader::Cache_t & (hpp::fcl::CachedMeshLoader::*function_ptr) () const)
{
  if (function_ptr == static_cast<const hpp::fcl::CachedMeshLoader::Cache_t & (hpp::fcl::CachedMeshLoader::*) () const>(&hpp::fcl::CachedMeshLoader::cache))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}
} // namespace doxygen
#include <hpp/fcl/mesh_loader/loader.h>

namespace doxygen {

template <>
struct constructor_2_impl< hpp::fcl::CachedMeshLoader::Key, const std::string &, const hpp::fcl::Vec3f & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<2+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("f"), boost::python::arg("s"));
}
};

inline const char* member_func_doc (bool (hpp::fcl::CachedMeshLoader::Key::*function_ptr) (const hpp::fcl::CachedMeshLoader::Key &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::CachedMeshLoader::Key::*) (const hpp::fcl::CachedMeshLoader::Key &) const>(&hpp::fcl::CachedMeshLoader::Key::operator<))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (bool (hpp::fcl::CachedMeshLoader::Key::*function_ptr) (const hpp::fcl::CachedMeshLoader::Key &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::CachedMeshLoader::Key::*) (const hpp::fcl::CachedMeshLoader::Key &) const>(&hpp::fcl::CachedMeshLoader::Key::operator<))
    return (boost::python::arg("self"), boost::python::arg("b"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/mesh_loader/loader.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::MeshLoader >
{
static inline const char* run ()
{
  return "Base class for building polyhedron from files. This class builds a new object for each file. ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct destructor_doc_impl < hpp::fcl::MeshLoader >
{
static inline const char* run ()
{
  return "";
}
};

template <>
struct constructor_1_impl< hpp::fcl::MeshLoader, const hpp::fcl::NODE_TYPE & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("bvType"));
}
};

inline const char* member_func_doc ( hpp::fcl::BVHModelPtr_t (hpp::fcl::MeshLoader::*function_ptr) (const std::string &, const hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast< hpp::fcl::BVHModelPtr_t (hpp::fcl::MeshLoader::*) (const std::string &, const hpp::fcl::Vec3f &)>(&hpp::fcl::MeshLoader::load))
    return "";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args ( hpp::fcl::BVHModelPtr_t (hpp::fcl::MeshLoader::*function_ptr) (const std::string &, const hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast< hpp::fcl::BVHModelPtr_t (hpp::fcl::MeshLoader::*) (const std::string &, const hpp::fcl::Vec3f &)>(&hpp::fcl::MeshLoader::load))
    return (boost::python::arg("self"), boost::python::arg("filename"), boost::python::arg("scale"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc ( hpp::fcl::CollisionGeometryPtr_t (hpp::fcl::MeshLoader::*function_ptr) (const std::string &))
{
  if (function_ptr == static_cast< hpp::fcl::CollisionGeometryPtr_t (hpp::fcl::MeshLoader::*) (const std::string &)>(&hpp::fcl::MeshLoader::loadOctree))
    return "Create an hpp::fcl::OcTree from a file in binary octomap format. Todoadd OctreePtr_t ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::CollisionGeometryPtr_t (hpp::fcl::MeshLoader::*function_ptr) (const std::string &))
{
  if (function_ptr == static_cast< hpp::fcl::CollisionGeometryPtr_t (hpp::fcl::MeshLoader::*) (const std::string &)>(&hpp::fcl::MeshLoader::loadOctree))
    return (boost::python::arg("self"), boost::python::arg("filename"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen

#endif // DOXYGEN_AUTODOC_HPP_FCL_MESH_LOADER_LOADER_H

