#ifndef DOXYGEN_AUTODOC_HPP_FCL_NARROWPHASE_GJK_H
#define DOXYGEN_AUTODOC_HPP_FCL_NARROWPHASE_GJK_H

#include "/builddir/build/BUILD/agiros-loong-hpp-fcl-2.3.0/doc/python/doxygen.hh"

#include <hpp/fcl/narrowphase/gjk.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::details::EPA >
{
static inline const char* run ()
{
  return "class for hpp::fcl::details::EPA algorithm ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_4_impl< hpp::fcl::details::EPA, unsigned int, unsigned int, unsigned int,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<4+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("max_face_num_"), boost::python::arg("max_vertex_num_"), boost::python::arg("max_iterations_"), boost::python::arg("tolerance_"));
}
};

template <>
struct destructor_doc_impl < hpp::fcl::details::EPA >
{
static inline const char* run ()
{
  return "";
}
};

inline const char* member_func_doc (void (hpp::fcl::details::EPA::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::details::EPA::*) ()>(&hpp::fcl::details::EPA::initialize))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::details::EPA::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::details::EPA::*) ()>(&hpp::fcl::details::EPA::initialize))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::details::EPA::Status (hpp::fcl::details::EPA::*function_ptr) ( hpp::fcl::details::GJK &, const hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast< hpp::fcl::details::EPA::Status (hpp::fcl::details::EPA::*) ( hpp::fcl::details::GJK &, const hpp::fcl::Vec3f &)>(&hpp::fcl::details::EPA::evaluate))
    return "Return: a Status which can be demangled using (status & Valid) or (status & Failed). The other values provide a more detailled status ";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args ( hpp::fcl::details::EPA::Status (hpp::fcl::details::EPA::*function_ptr) ( hpp::fcl::details::GJK &, const hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast< hpp::fcl::details::EPA::Status (hpp::fcl::details::EPA::*) ( hpp::fcl::details::GJK &, const hpp::fcl::Vec3f &)>(&hpp::fcl::details::EPA::evaluate))
    return (boost::python::arg("self"), boost::python::arg("gjk"), boost::python::arg("guess"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc (bool (hpp::fcl::details::EPA::*function_ptr) (const hpp::fcl::details::MinkowskiDiff &,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::EPA::*) (const hpp::fcl::details::MinkowskiDiff &,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &)>(&hpp::fcl::details::EPA::getClosestPoints))
    return "Get the closest points on each object. Return: true on success ";
  return "";
}

inline boost::python::detail::keywords<4> member_func_args (bool (hpp::fcl::details::EPA::*function_ptr) (const hpp::fcl::details::MinkowskiDiff &,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::EPA::*) (const hpp::fcl::details::MinkowskiDiff &,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &)>(&hpp::fcl::details::EPA::getClosestPoints))
    return (boost::python::arg("self"), boost::python::arg("shape"), boost::python::arg("w0"), boost::python::arg("w1"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"), boost::python::arg("arg2"));
}
} // namespace doxygen
#include <hpp/fcl/narrowphase/gjk.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::details::GJK >
{
static inline const char* run ()
{
  return "class for hpp::fcl::details::GJK algorithm \n"
"\n"
"Note: The computations are performed in the frame of the first shape. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "distance") == 0)
    return "The distance computed by hpp::fcl::details::GJK. The possible values are\n"
"- $ d = - R - 1 $ when a collision is detected and hpp::fcl::details::GJK cannot compute penetration informations.\n"
"- $ - R \le d \le 0 $ when a collision is detected and hpp::fcl::details::GJK can compute penetration informations.\n"
"- $ 0 < d \le d_{ub} $ when there is no collision and hpp::fcl::details::GJK can compute the closest points.\n"
"- $ d_{ub} < d $ when there is no collision and hpp::fcl::details::GJK cannot compute the closest points.\n"
"\n"
"\n"
"where $ d $ is the GJK::distance, $ R $ is the sum of the shape MinkowskiDiff::inflation and $ d_{ub} $ is the GJK::distance_upper_bound. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_2_impl< hpp::fcl::details::GJK, unsigned int,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "Param\n"
"  - max_iterations_ number of iteration before hpp::fcl::details::GJK returns failure. \n"
"  - tolerance_ precision of the algorithm.\n"
"\n"
"The tolerance argument is useful for continuous shapes and for polyhedron with some vertices closer than this threshold.\n"
"Suggested values are 100 iterations and a tolerance of 1e-6. ";
}
static inline boost::python::detail::keywords<2+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("max_iterations_"), boost::python::arg("tolerance_"));
}
};

inline const char* member_func_doc (void (hpp::fcl::details::GJK::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::initialize))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::details::GJK::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::initialize))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::details::GJK::Status (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::details::MinkowskiDiff &, const hpp::fcl::Vec3f &, const hpp::fcl::support_func_guess_t &))
{
  if (function_ptr == static_cast< hpp::fcl::details::GJK::Status (hpp::fcl::details::GJK::*) (const hpp::fcl::details::MinkowskiDiff &, const hpp::fcl::Vec3f &, const hpp::fcl::support_func_guess_t &)>(&hpp::fcl::details::GJK::evaluate))
    return "hpp::fcl::details::GJK algorithm, given the initial value guess. ";
  return "";
}

inline boost::python::detail::keywords<4> member_func_args ( hpp::fcl::details::GJK::Status (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::details::MinkowskiDiff &, const hpp::fcl::Vec3f &, const hpp::fcl::support_func_guess_t &))
{
  if (function_ptr == static_cast< hpp::fcl::details::GJK::Status (hpp::fcl::details::GJK::*) (const hpp::fcl::details::MinkowskiDiff &, const hpp::fcl::Vec3f &, const hpp::fcl::support_func_guess_t &)>(&hpp::fcl::details::GJK::evaluate))
    return (boost::python::arg("self"), boost::python::arg("shape"), boost::python::arg("guess"), boost::python::arg("supportHint"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"), boost::python::arg("arg2"));
}

inline const char* member_func_doc (void (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::Vec3f &, bool,  hpp::fcl::details::GJK::SimplexV &,  hpp::fcl::support_func_guess_t &) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::details::GJK::*) (const hpp::fcl::Vec3f &, bool,  hpp::fcl::details::GJK::SimplexV &,  hpp::fcl::support_func_guess_t &) const>(&hpp::fcl::details::GJK::getSupport))
    return "apply the support function along a direction, the result is return in sv ";
  return "";
}

inline boost::python::detail::keywords<5> member_func_args (void (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::Vec3f &, bool,  hpp::fcl::details::GJK::SimplexV &,  hpp::fcl::support_func_guess_t &) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::details::GJK::*) (const hpp::fcl::Vec3f &, bool,  hpp::fcl::details::GJK::SimplexV &,  hpp::fcl::support_func_guess_t &) const>(&hpp::fcl::details::GJK::getSupport))
    return (boost::python::arg("self"), boost::python::arg("d"), boost::python::arg("dIsNormalized"), boost::python::arg("sv"), boost::python::arg("hint"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"), boost::python::arg("arg2"), boost::python::arg("arg3"));
}

inline const char* member_func_doc (bool (hpp::fcl::details::GJK::*function_ptr) ())
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::encloseOrigin))
    return "whether the simplex enclose the origin ";
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::hasClosestPoints))
    return "Tells whether the closest points are available. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (bool (hpp::fcl::details::GJK::*function_ptr) ())
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::encloseOrigin))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::hasClosestPoints))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::details::GJK::Simplex * (hpp::fcl::details::GJK::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::details::GJK::Simplex * (hpp::fcl::details::GJK::*) () const>(&hpp::fcl::details::GJK::getSimplex))
    return "get the underlying simplex using in hpp::fcl::details::GJK, can be used for cache in next iteration ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::details::GJK::Simplex * (hpp::fcl::details::GJK::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::details::GJK::Simplex * (hpp::fcl::details::GJK::*) () const>(&hpp::fcl::details::GJK::getSimplex))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (bool (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::details::MinkowskiDiff &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) (const hpp::fcl::details::MinkowskiDiff &)>(&hpp::fcl::details::GJK::hasPenetrationInformation))
    return "Tells whether the penetration information.\n"
"In such case, most indepth points and penetration depth can be retrieved from hpp::fcl::details::GJK. Calling hpp::fcl::details::EPA has an undefined behaviour. ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (bool (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::details::MinkowskiDiff &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) (const hpp::fcl::details::MinkowskiDiff &)>(&hpp::fcl::details::GJK::hasPenetrationInformation))
    return (boost::python::arg("self"), boost::python::arg("shape"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (bool (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::details::MinkowskiDiff &,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) (const hpp::fcl::details::MinkowskiDiff &,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &)>(&hpp::fcl::details::GJK::getClosestPoints))
    return "Get the closest points on each object. Return: true on success ";
  return "";
}

inline boost::python::detail::keywords<4> member_func_args (bool (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::details::MinkowskiDiff &,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) (const hpp::fcl::details::MinkowskiDiff &,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &)>(&hpp::fcl::details::GJK::getClosestPoints))
    return (boost::python::arg("self"), boost::python::arg("shape"), boost::python::arg("w0"), boost::python::arg("w1"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"), boost::python::arg("arg2"));
}

inline const char* member_func_doc ( hpp::fcl::Vec3f (hpp::fcl::details::GJK::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::details::GJK::*) () const>(&hpp::fcl::details::GJK::getGuessFromSimplex))
    return "get the guess from current simplex ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Vec3f (hpp::fcl::details::GJK::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::details::GJK::*) () const>(&hpp::fcl::details::GJK::getGuessFromSimplex))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::FCL_REAL &))
{
  if (function_ptr == static_cast<void (hpp::fcl::details::GJK::*) (const hpp::fcl::FCL_REAL &)>(&hpp::fcl::details::GJK::setDistanceEarlyBreak))
    return "Distance threshold for early break. hpp::fcl::details::GJK stops when it proved the distance is more than this threshold. \n"
"\n"
"Note: The closest points will be erroneous in this case. If you want the closest points, set this to infinity (the default). ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (void (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::FCL_REAL &))
{
  if (function_ptr == static_cast<void (hpp::fcl::details::GJK::*) (const hpp::fcl::FCL_REAL &)>(&hpp::fcl::details::GJK::setDistanceEarlyBreak))
    return (boost::python::arg("self"), boost::python::arg("dup"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (bool (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::Vec3f &, const hpp::fcl::FCL_REAL &,  hpp::fcl::FCL_REAL &, const hpp::fcl::FCL_REAL &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) (const hpp::fcl::Vec3f &, const hpp::fcl::FCL_REAL &,  hpp::fcl::FCL_REAL &, const hpp::fcl::FCL_REAL &)>(&hpp::fcl::details::GJK::checkConvergence))
    return "Convergence check used to stop hpp::fcl::details::GJK when shapes are not in collision. ";
  return "";
}

inline boost::python::detail::keywords<5> member_func_args (bool (hpp::fcl::details::GJK::*function_ptr) (const hpp::fcl::Vec3f &, const hpp::fcl::FCL_REAL &,  hpp::fcl::FCL_REAL &, const hpp::fcl::FCL_REAL &))
{
  if (function_ptr == static_cast<bool (hpp::fcl::details::GJK::*) (const hpp::fcl::Vec3f &, const hpp::fcl::FCL_REAL &,  hpp::fcl::FCL_REAL &, const hpp::fcl::FCL_REAL &)>(&hpp::fcl::details::GJK::checkConvergence))
    return (boost::python::arg("self"), boost::python::arg("w"), boost::python::arg("rl"), boost::python::arg("alpha"), boost::python::arg("omega"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"), boost::python::arg("arg2"), boost::python::arg("arg3"));
}

inline const char* member_func_doc (size_t (hpp::fcl::details::GJK::*function_ptr) ())
{
  if (function_ptr == static_cast<size_t (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::getIterations))
    return "Get hpp::fcl::details::GJK number of iterations. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (size_t (hpp::fcl::details::GJK::*function_ptr) ())
{
  if (function_ptr == static_cast<size_t (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::getIterations))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::details::GJK::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::getTolerance))
    return "Get hpp::fcl::details::GJK tolerance. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::details::GJK::*function_ptr) ())
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::details::GJK::*) ()>(&hpp::fcl::details::GJK::getTolerance))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}
} // namespace doxygen
#include <hpp/fcl/narrowphase/gjk.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::details::MinkowskiDiff >
{
static inline const char* run ()
{
  return "Minkowski difference class of two shapes. \n"
"\n"
"Note: The Minkowski difference is expressed in the frame of the first shape. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "shapes") == 0)
    return "points to two shapes ";
  if (strcmp(attrib, "data") == 0)
    return "Store temporary data for the computation of the support point for each shape. ";
  if (strcmp(attrib, "oR1") == 0)
    return "rotation from shape1 to shape0 such that $ p_in_0 = oR1 * p_in_1 + ot1 $. ";
  if (strcmp(attrib, "ot1") == 0)
    return "translation from shape1 to shape0 such that $ p_in_0 = oR1 * p_in_1 + ot1 $. ";
  if (strcmp(attrib, "inflation") == 0)
    return "The radius of the sphere swepted volume. The 2 values correspond to the inflation of shape 0 and shape 1/ These inflation values are used for hpp::fcl::Sphere and hpp::fcl::Capsule. ";
  if (strcmp(attrib, "linear_log_convex_threshold") == 0)
    return "Number of points in a hpp::fcl::Convex object from which using a logarithmic support function is faster than a linear one. It defaults to 32. \n"
"\n"
"Note: It must set before the call to set. ";
  if (strcmp(attrib, "normalize_support_direction") == 0)
    return "Wether or not to use the normalize heuristic in the hpp::fcl::details::GJK Nesterov acceleration. This setting is only applied if the Nesterov acceleration in the hpp::fcl::details::GJK class is active. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::details::MinkowskiDiff >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

inline const char* member_func_doc (void (hpp::fcl::details::MinkowskiDiff::*function_ptr) (const hpp::fcl::ShapeBase *, const hpp::fcl::ShapeBase *))
{
  if (function_ptr == static_cast<void (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::ShapeBase *, const hpp::fcl::ShapeBase *)>(&hpp::fcl::details::MinkowskiDiff::set))
    return "Set the two shapes, assuming the relative transformation between them is identity. ";
  return "";
}

inline boost::python::detail::keywords<3> member_func_args (void (hpp::fcl::details::MinkowskiDiff::*function_ptr) (const hpp::fcl::ShapeBase *, const hpp::fcl::ShapeBase *))
{
  if (function_ptr == static_cast<void (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::ShapeBase *, const hpp::fcl::ShapeBase *)>(&hpp::fcl::details::MinkowskiDiff::set))
    return (boost::python::arg("self"), boost::python::arg("shape0"), boost::python::arg("shape1"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"));
}

inline const char* member_func_doc (void (hpp::fcl::details::MinkowskiDiff::*function_ptr) (const hpp::fcl::ShapeBase *, const hpp::fcl::ShapeBase *, const hpp::fcl::Transform3f &, const hpp::fcl::Transform3f &))
{
  if (function_ptr == static_cast<void (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::ShapeBase *, const hpp::fcl::ShapeBase *, const hpp::fcl::Transform3f &, const hpp::fcl::Transform3f &)>(&hpp::fcl::details::MinkowskiDiff::set))
    return "Set the two shapes, with a relative transformation. ";
  return "";
}

inline boost::python::detail::keywords<5> member_func_args (void (hpp::fcl::details::MinkowskiDiff::*function_ptr) (const hpp::fcl::ShapeBase *, const hpp::fcl::ShapeBase *, const hpp::fcl::Transform3f &, const hpp::fcl::Transform3f &))
{
  if (function_ptr == static_cast<void (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::ShapeBase *, const hpp::fcl::ShapeBase *, const hpp::fcl::Transform3f &, const hpp::fcl::Transform3f &)>(&hpp::fcl::details::MinkowskiDiff::set))
    return (boost::python::arg("self"), boost::python::arg("shape0"), boost::python::arg("shape1"), boost::python::arg("tf0"), boost::python::arg("tf1"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"), boost::python::arg("arg2"), boost::python::arg("arg3"));
}

inline const char* member_func_doc ( hpp::fcl::Vec3f (hpp::fcl::details::MinkowskiDiff::*function_ptr) (const hpp::fcl::Vec3f &, bool, int &) const)
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::Vec3f &, bool, int &) const>(&hpp::fcl::details::MinkowskiDiff::support0))
    return "support function for shape0 ";
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::Vec3f &, bool, int &) const>(&hpp::fcl::details::MinkowskiDiff::support1))
    return "support function for shape1 ";
  return "";
}

inline boost::python::detail::keywords<4> member_func_args ( hpp::fcl::Vec3f (hpp::fcl::details::MinkowskiDiff::*function_ptr) (const hpp::fcl::Vec3f &, bool, int &) const)
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::Vec3f &, bool, int &) const>(&hpp::fcl::details::MinkowskiDiff::support0))
    return (boost::python::arg("self"), boost::python::arg("d"), boost::python::arg("dIsNormalized"), boost::python::arg("hint"));
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::Vec3f &, bool, int &) const>(&hpp::fcl::details::MinkowskiDiff::support1))
    return (boost::python::arg("self"), boost::python::arg("d"), boost::python::arg("dIsNormalized"), boost::python::arg("hint"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"), boost::python::arg("arg2"));
}

inline const char* member_func_doc (void (hpp::fcl::details::MinkowskiDiff::*function_ptr) (const hpp::fcl::Vec3f &, bool,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &,  hpp::fcl::support_func_guess_t &) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::Vec3f &, bool,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &,  hpp::fcl::support_func_guess_t &) const>(&hpp::fcl::details::MinkowskiDiff::support))
    return "support function for the pair of shapes ";
  return "";
}

inline boost::python::detail::keywords<6> member_func_args (void (hpp::fcl::details::MinkowskiDiff::*function_ptr) (const hpp::fcl::Vec3f &, bool,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &,  hpp::fcl::support_func_guess_t &) const)
{
  if (function_ptr == static_cast<void (hpp::fcl::details::MinkowskiDiff::*) (const hpp::fcl::Vec3f &, bool,  hpp::fcl::Vec3f &,  hpp::fcl::Vec3f &,  hpp::fcl::support_func_guess_t &) const>(&hpp::fcl::details::MinkowskiDiff::support))
    return (boost::python::arg("self"), boost::python::arg("d"), boost::python::arg("dIsNormalized"), boost::python::arg("supp0"), boost::python::arg("supp1"), boost::python::arg("hint"));
  return (boost::python::arg("self"), boost::python::arg("arg0"), boost::python::arg("arg1"), boost::python::arg("arg2"), boost::python::arg("arg3"), boost::python::arg("arg4"));
}
} // namespace doxygen
#include <hpp/fcl/narrowphase/gjk.h>

namespace doxygen {
} // namespace doxygen
#include <hpp/fcl/narrowphase/gjk.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::details::GJK::Simplex >
{
static inline const char* run ()
{
  return "";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "vertex") == 0)
    return "simplex vertex ";
  if (strcmp(attrib, "rank") == 0)
    return "size of simplex (number of vertices) ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::details::GJK::Simplex >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};
} // namespace doxygen
#include <hpp/fcl/narrowphase/gjk.h>

namespace doxygen {

template <>
struct constructor_0_impl< hpp::fcl::details::EPA::SimplexF >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};
} // namespace doxygen
#include <hpp/fcl/narrowphase/gjk.h>

namespace doxygen {

template <>
struct constructor_0_impl< hpp::fcl::details::EPA::SimplexHorizon >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};
} // namespace doxygen
#include <hpp/fcl/narrowphase/gjk.h>

namespace doxygen {

template <>
struct constructor_0_impl< hpp::fcl::details::EPA::SimplexList >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

inline const char* member_func_doc (void (hpp::fcl::details::EPA::SimplexList::*function_ptr) ( hpp::fcl::details::EPA::SimplexF *))
{
  if (function_ptr == static_cast<void (hpp::fcl::details::EPA::SimplexList::*) ( hpp::fcl::details::EPA::SimplexF *)>(&hpp::fcl::details::EPA::SimplexList::append))
    return "";
  if (function_ptr == static_cast<void (hpp::fcl::details::EPA::SimplexList::*) ( hpp::fcl::details::EPA::SimplexF *)>(&hpp::fcl::details::EPA::SimplexList::remove))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (void (hpp::fcl::details::EPA::SimplexList::*function_ptr) ( hpp::fcl::details::EPA::SimplexF *))
{
  if (function_ptr == static_cast<void (hpp::fcl::details::EPA::SimplexList::*) ( hpp::fcl::details::EPA::SimplexF *)>(&hpp::fcl::details::EPA::SimplexList::append))
    return (boost::python::arg("self"), boost::python::arg("face"));
  if (function_ptr == static_cast<void (hpp::fcl::details::EPA::SimplexList::*) ( hpp::fcl::details::EPA::SimplexF *)>(&hpp::fcl::details::EPA::SimplexList::remove))
    return (boost::python::arg("self"), boost::python::arg("face"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/narrowphase/gjk.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::details::GJK::SimplexV >
{
static inline const char* run ()
{
  return "";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "w0") == 0)
    return "support vector for shape 0 and 1. ";
  if (strcmp(attrib, "w") == 0)
    return "support vector (i.e., the furthest point on the shape along the support direction) ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};
} // namespace doxygen

#endif // DOXYGEN_AUTODOC_HPP_FCL_NARROWPHASE_GJK_H

