#ifndef DOXYGEN_AUTODOC_HPP_FCL_SHAPE_GEOMETRIC_SHAPES_H
#define DOXYGEN_AUTODOC_HPP_FCL_SHAPE_GEOMETRIC_SHAPES_H

#include "/builddir/build/BUILD/agiros-loong-hpp-fcl-2.3.0/doc/python/doxygen.hh"

#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::Box >
{
static inline const char* run ()
{
  return "Center at zero point, axis aligned box. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "halfSide") == 0)
    return "box side half-length ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_3_impl< hpp::fcl::Box,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<3+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("x"), boost::python::arg("y"), boost::python::arg("z"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Box, const hpp::fcl::Vec3f & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("side_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Box, const hpp::fcl::Box & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

template <>
struct constructor_0_impl< hpp::fcl::Box >
{
static inline const char* doc ()
{
  return "Default constructor. ";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

inline const char* member_func_doc ( hpp::fcl::Box & (hpp::fcl::Box::*function_ptr) (const hpp::fcl::Box &))
{
  if (function_ptr == static_cast< hpp::fcl::Box & (hpp::fcl::Box::*) (const hpp::fcl::Box &)>(&hpp::fcl::Box::operator=))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::Box & (hpp::fcl::Box::*function_ptr) (const hpp::fcl::Box &))
{
  if (function_ptr == static_cast< hpp::fcl::Box & (hpp::fcl::Box::*) (const hpp::fcl::Box &)>(&hpp::fcl::Box::operator=))
    return (boost::python::arg("self"), boost::python::arg("other"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc ( hpp::fcl::Box * (hpp::fcl::Box::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Box * (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::clone))
    return "Clone *this into a new hpp::fcl::Box. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Box * (hpp::fcl::Box::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Box * (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::Box::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Box::*) ()>(&hpp::fcl::Box::computeLocalAABB))
    return "Compute hpp::fcl::AABB. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::Box::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Box::*) ()>(&hpp::fcl::Box::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::Box::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::getNodeType))
    return "Get node type: a box. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::Box::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::Box::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::computeVolume))
    return "compute the volume ";
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::minInflationValue))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::Box::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::computeVolume))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::minInflationValue))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Matrix3f (hpp::fcl::Box::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::computeMomentofInertia))
    return "compute the inertia matrix, related to the origin ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Matrix3f (hpp::fcl::Box::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Box::*) () const>(&hpp::fcl::Box::computeMomentofInertia))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (std::pair< hpp::fcl::Box , hpp::fcl::Transform3f > (hpp::fcl::Box::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Box , hpp::fcl::Transform3f > (hpp::fcl::Box::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Box::inflated))
    return "Inflate the box by an amount given by value. \n"
"\n"
"\n"
"Param\n"
"  - value of the shape inflation.\n"
"\n"
"Return: a new inflated box and the related transform to account for the change of shape frame ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (std::pair< hpp::fcl::Box , hpp::fcl::Transform3f > (hpp::fcl::Box::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Box , hpp::fcl::Transform3f > (hpp::fcl::Box::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Box::inflated))
    return (boost::python::arg("self"), boost::python::arg("value"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::Capsule >
{
static inline const char* run ()
{
  return "hpp::fcl::Capsule It is $ { x~\in~\mathbb{R}^3, d(x, AB) \leq radius } $ where $ d(x, AB) $ is the distance between the point x and the capsule segment AB, with $ A = (0,0,-halfLength), B = (0,0,halfLength) $. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "radius") == 0)
    return "Radius of capsule. ";
  if (strcmp(attrib, "halfLength") == 0)
    return "Half Length along z axis. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::Capsule >
{
static inline const char* doc ()
{
  return "Default constructor. ";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct constructor_2_impl< hpp::fcl::Capsule,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<2+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("radius_"), boost::python::arg("lz_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Capsule, const hpp::fcl::Capsule & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

inline const char* member_func_doc ( hpp::fcl::Capsule * (hpp::fcl::Capsule::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Capsule * (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::clone))
    return "Clone *this into a new hpp::fcl::Capsule. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Capsule * (hpp::fcl::Capsule::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Capsule * (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::Capsule::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Capsule::*) ()>(&hpp::fcl::Capsule::computeLocalAABB))
    return "Compute hpp::fcl::AABB. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::Capsule::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Capsule::*) ()>(&hpp::fcl::Capsule::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::Capsule::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::getNodeType))
    return "Get node type: a capsule. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::Capsule::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::Capsule::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::computeVolume))
    return "compute the volume ";
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::minInflationValue))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::Capsule::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::computeVolume))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::minInflationValue))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Matrix3f (hpp::fcl::Capsule::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::computeMomentofInertia))
    return "compute the inertia matrix, related to the origin ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Matrix3f (hpp::fcl::Capsule::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Capsule::*) () const>(&hpp::fcl::Capsule::computeMomentofInertia))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (std::pair< hpp::fcl::Capsule , hpp::fcl::Transform3f > (hpp::fcl::Capsule::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Capsule , hpp::fcl::Transform3f > (hpp::fcl::Capsule::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Capsule::inflated))
    return "Inflate the capsule by an amount given by value. \n"
"\n"
"\n"
"Param\n"
"  - value of the shape inflation.\n"
"\n"
"Return: a new inflated capsule and the related transform to account for the change of shape frame ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (std::pair< hpp::fcl::Capsule , hpp::fcl::Transform3f > (hpp::fcl::Capsule::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Capsule , hpp::fcl::Transform3f > (hpp::fcl::Capsule::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Capsule::inflated))
    return (boost::python::arg("self"), boost::python::arg("value"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::Cone >
{
static inline const char* run ()
{
  return "hpp::fcl::Cone The base of the cone is at $ z = - halfLength $ and the top is at $ z = halfLength $. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "radius") == 0)
    return "Radius of the cone. ";
  if (strcmp(attrib, "halfLength") == 0)
    return "Half Length along z axis. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::Cone >
{
static inline const char* doc ()
{
  return "Default constructor. ";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct constructor_2_impl< hpp::fcl::Cone,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<2+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("radius_"), boost::python::arg("lz_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Cone, const hpp::fcl::Cone & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

inline const char* member_func_doc ( hpp::fcl::Cone * (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Cone * (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::clone))
    return "Clone *this into a new hpp::fcl::Cone. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Cone * (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Cone * (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::Cone::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Cone::*) ()>(&hpp::fcl::Cone::computeLocalAABB))
    return "Compute hpp::fcl::AABB. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::Cone::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Cone::*) ()>(&hpp::fcl::Cone::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::getNodeType))
    return "Get node type: a cone. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::computeVolume))
    return "compute the volume ";
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::minInflationValue))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::computeVolume))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::minInflationValue))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Matrix3f (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::computeMomentofInertia))
    return "compute the inertia matrix, related to the origin ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Matrix3f (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::computeMomentofInertia))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Vec3f (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::computeCOM))
    return "compute center of mass ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Vec3f (hpp::fcl::Cone::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Vec3f (hpp::fcl::Cone::*) () const>(&hpp::fcl::Cone::computeCOM))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (std::pair< hpp::fcl::Cone , hpp::fcl::Transform3f > (hpp::fcl::Cone::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Cone , hpp::fcl::Transform3f > (hpp::fcl::Cone::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Cone::inflated))
    return "Inflate the cone by an amount given by value. \n"
"\n"
"\n"
"Param\n"
"  - value of the shape inflation.\n"
"\n"
"Return: a new inflated cone and the related transform to account for the change of shape frame ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (std::pair< hpp::fcl::Cone , hpp::fcl::Transform3f > (hpp::fcl::Cone::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Cone , hpp::fcl::Transform3f > (hpp::fcl::Cone::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Cone::inflated))
    return (boost::python::arg("self"), boost::python::arg("value"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::ConvexBase >
{
static inline const char* run ()
{
  return "Base for convex polytope. \n"
"\n"
"Note: Inherited classes are responsible for filling ConvexBase::neighbors; ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "points") == 0)
    return "An array of the points of the polygon. ";
  if (strcmp(attrib, "neighbors") == 0)
    return "hpp::fcl::ConvexBase::Neighbors of each vertex. It is an array of size num_points. For each vertex, it contains the number of neighbors and a list of indices to them. ";
  if (strcmp(attrib, "center") == 0)
    return "center of the convex polytope, this is used for collision: center is guaranteed in the internal of the polytope (as it is convex) ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct destructor_doc_impl < hpp::fcl::ConvexBase >
{
static inline const char* run ()
{
  return "";
}
};

inline const char* member_func_doc ( hpp::fcl::ConvexBase * (hpp::fcl::ConvexBase::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::ConvexBase * (hpp::fcl::ConvexBase::*) () const>(&hpp::fcl::ConvexBase::clone))
    return "Clone (deep copy). ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::ConvexBase * (hpp::fcl::ConvexBase::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::ConvexBase * (hpp::fcl::ConvexBase::*) () const>(&hpp::fcl::ConvexBase::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::ConvexBase::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::ConvexBase::*) ()>(&hpp::fcl::ConvexBase::computeLocalAABB))
    return "Compute hpp::fcl::AABB. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::ConvexBase::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::ConvexBase::*) ()>(&hpp::fcl::ConvexBase::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::ConvexBase::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::ConvexBase::*) () const>(&hpp::fcl::ConvexBase::getNodeType))
    return "Get node type: a conex polytope. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::ConvexBase::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::ConvexBase::*) () const>(&hpp::fcl::ConvexBase::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::Cylinder >
{
static inline const char* run ()
{
  return "hpp::fcl::Cylinder along Z axis. The cylinder is defined at its centroid. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "radius") == 0)
    return "Radius of the cylinder. ";
  if (strcmp(attrib, "halfLength") == 0)
    return "Half Length along z axis. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::Cylinder >
{
static inline const char* doc ()
{
  return "Default constructor. ";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct constructor_2_impl< hpp::fcl::Cylinder,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<2+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("radius_"), boost::python::arg("lz_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Cylinder, const hpp::fcl::Cylinder & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

inline const char* member_func_doc ( hpp::fcl::Cylinder & (hpp::fcl::Cylinder::*function_ptr) (const hpp::fcl::Cylinder &))
{
  if (function_ptr == static_cast< hpp::fcl::Cylinder & (hpp::fcl::Cylinder::*) (const hpp::fcl::Cylinder &)>(&hpp::fcl::Cylinder::operator=))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::Cylinder & (hpp::fcl::Cylinder::*function_ptr) (const hpp::fcl::Cylinder &))
{
  if (function_ptr == static_cast< hpp::fcl::Cylinder & (hpp::fcl::Cylinder::*) (const hpp::fcl::Cylinder &)>(&hpp::fcl::Cylinder::operator=))
    return (boost::python::arg("self"), boost::python::arg("other"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc ( hpp::fcl::Cylinder * (hpp::fcl::Cylinder::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Cylinder * (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::clone))
    return "Clone *this into a new hpp::fcl::Cylinder. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Cylinder * (hpp::fcl::Cylinder::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Cylinder * (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::Cylinder::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Cylinder::*) ()>(&hpp::fcl::Cylinder::computeLocalAABB))
    return "Compute hpp::fcl::AABB. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::Cylinder::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Cylinder::*) ()>(&hpp::fcl::Cylinder::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::Cylinder::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::getNodeType))
    return "Get node type: a cylinder. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::Cylinder::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::Cylinder::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::computeVolume))
    return "compute the volume ";
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::minInflationValue))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::Cylinder::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::computeVolume))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::minInflationValue))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Matrix3f (hpp::fcl::Cylinder::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::computeMomentofInertia))
    return "compute the inertia matrix, related to the origin ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Matrix3f (hpp::fcl::Cylinder::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Cylinder::*) () const>(&hpp::fcl::Cylinder::computeMomentofInertia))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (std::pair< hpp::fcl::Cylinder , hpp::fcl::Transform3f > (hpp::fcl::Cylinder::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Cylinder , hpp::fcl::Transform3f > (hpp::fcl::Cylinder::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Cylinder::inflated))
    return "Inflate the cylinder by an amount given by value. \n"
"\n"
"\n"
"Param\n"
"  - value of the shape inflation.\n"
"\n"
"Return: a new inflated cylinder and the related transform to account for the change of shape frame ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (std::pair< hpp::fcl::Cylinder , hpp::fcl::Transform3f > (hpp::fcl::Cylinder::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Cylinder , hpp::fcl::Transform3f > (hpp::fcl::Cylinder::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Cylinder::inflated))
    return (boost::python::arg("self"), boost::python::arg("value"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::Ellipsoid >
{
static inline const char* run ()
{
  return "hpp::fcl::Ellipsoid centered at point zero. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "radii") == 0)
    return "Radii of the hpp::fcl::Ellipsoid (such that on boundary: x^2/rx^2 + y^2/ry^2. \n"
"\n"
"\n"
"- z^2/rz^2 = 1) ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::Ellipsoid >
{
static inline const char* doc ()
{
  return "Default constructor. ";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct constructor_3_impl< hpp::fcl::Ellipsoid,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<3+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("rx"), boost::python::arg("ry"), boost::python::arg("rz"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Ellipsoid, const hpp::fcl::Vec3f & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("radii"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Ellipsoid, const hpp::fcl::Ellipsoid & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

inline const char* member_func_doc ( hpp::fcl::Ellipsoid * (hpp::fcl::Ellipsoid::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Ellipsoid * (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::clone))
    return "Clone *this into a new hpp::fcl::Ellipsoid. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Ellipsoid * (hpp::fcl::Ellipsoid::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Ellipsoid * (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::Ellipsoid::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Ellipsoid::*) ()>(&hpp::fcl::Ellipsoid::computeLocalAABB))
    return "Compute hpp::fcl::AABB. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::Ellipsoid::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Ellipsoid::*) ()>(&hpp::fcl::Ellipsoid::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::Ellipsoid::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::getNodeType))
    return "Get node type: an ellipsoid. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::Ellipsoid::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Matrix3f (hpp::fcl::Ellipsoid::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::computeMomentofInertia))
    return "compute the inertia matrix, related to the origin ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Matrix3f (hpp::fcl::Ellipsoid::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::computeMomentofInertia))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::Ellipsoid::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::computeVolume))
    return "compute the volume ";
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::minInflationValue))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::Ellipsoid::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::computeVolume))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Ellipsoid::*) () const>(&hpp::fcl::Ellipsoid::minInflationValue))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (std::pair< hpp::fcl::Ellipsoid , hpp::fcl::Transform3f > (hpp::fcl::Ellipsoid::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Ellipsoid , hpp::fcl::Transform3f > (hpp::fcl::Ellipsoid::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Ellipsoid::inflated))
    return "Inflate the ellipsoid by an amount given by value. \n"
"\n"
"\n"
"Param\n"
"  - value of the shape inflation.\n"
"\n"
"Return: a new inflated ellipsoid and the related transform to account for the change of shape frame ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (std::pair< hpp::fcl::Ellipsoid , hpp::fcl::Transform3f > (hpp::fcl::Ellipsoid::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Ellipsoid , hpp::fcl::Transform3f > (hpp::fcl::Ellipsoid::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Ellipsoid::inflated))
    return (boost::python::arg("self"), boost::python::arg("value"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::Halfspace >
{
static inline const char* run ()
{
  return "Half Space: this is equivalent to the hpp::fcl::Plane in ODE. The separation plane is defined as n * x = d; Points in the negative side of the separation plane (i.e. {x | n * x < d}) are inside the half space and points in the positive side of the separation plane (i.e. {x | n * x > d}) are outside the half space. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "n") == 0)
    return "hpp::fcl::Plane normal. ";
  if (strcmp(attrib, "d") == 0)
    return "hpp::fcl::Plane offset. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_2_impl< hpp::fcl::Halfspace, const hpp::fcl::Vec3f &,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "Construct a half space with normal direction and offset. ";
}
static inline boost::python::detail::keywords<2+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("n_"), boost::python::arg("d_"));
}
};

template <>
struct constructor_4_impl< hpp::fcl::Halfspace,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "Construct a plane with normal direction and offset. ";
}
static inline boost::python::detail::keywords<4+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("a"), boost::python::arg("b"), boost::python::arg("c"), boost::python::arg("d_"));
}
};

template <>
struct constructor_0_impl< hpp::fcl::Halfspace >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Halfspace, const hpp::fcl::Halfspace & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

inline const char* member_func_doc ( hpp::fcl::Halfspace & (hpp::fcl::Halfspace::*function_ptr) (const hpp::fcl::Halfspace &))
{
  if (function_ptr == static_cast< hpp::fcl::Halfspace & (hpp::fcl::Halfspace::*) (const hpp::fcl::Halfspace &)>(&hpp::fcl::Halfspace::operator=))
    return "operator = ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::Halfspace & (hpp::fcl::Halfspace::*function_ptr) (const hpp::fcl::Halfspace &))
{
  if (function_ptr == static_cast< hpp::fcl::Halfspace & (hpp::fcl::Halfspace::*) (const hpp::fcl::Halfspace &)>(&hpp::fcl::Halfspace::operator=))
    return (boost::python::arg("self"), boost::python::arg("other"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc ( hpp::fcl::Halfspace * (hpp::fcl::Halfspace::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Halfspace * (hpp::fcl::Halfspace::*) () const>(&hpp::fcl::Halfspace::clone))
    return "Clone *this into a new hpp::fcl::Halfspace. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Halfspace * (hpp::fcl::Halfspace::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Halfspace * (hpp::fcl::Halfspace::*) () const>(&hpp::fcl::Halfspace::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*function_ptr) (const hpp::fcl::Vec3f &) const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*) (const hpp::fcl::Vec3f &) const>(&hpp::fcl::Halfspace::signedDistance))
    return "";
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*) (const hpp::fcl::Vec3f &) const>(&hpp::fcl::Halfspace::distance))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*function_ptr) (const hpp::fcl::Vec3f &) const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*) (const hpp::fcl::Vec3f &) const>(&hpp::fcl::Halfspace::signedDistance))
    return (boost::python::arg("self"), boost::python::arg("p"));
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*) (const hpp::fcl::Vec3f &) const>(&hpp::fcl::Halfspace::distance))
    return (boost::python::arg("self"), boost::python::arg("p"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (void (hpp::fcl::Halfspace::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Halfspace::*) ()>(&hpp::fcl::Halfspace::computeLocalAABB))
    return "Compute hpp::fcl::AABB. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::Halfspace::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Halfspace::*) ()>(&hpp::fcl::Halfspace::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::Halfspace::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Halfspace::*) () const>(&hpp::fcl::Halfspace::getNodeType))
    return "Get node type: a half space. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::Halfspace::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Halfspace::*) () const>(&hpp::fcl::Halfspace::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*) () const>(&hpp::fcl::Halfspace::minInflationValue))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Halfspace::*) () const>(&hpp::fcl::Halfspace::minInflationValue))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (std::pair< hpp::fcl::Halfspace , hpp::fcl::Transform3f > (hpp::fcl::Halfspace::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Halfspace , hpp::fcl::Transform3f > (hpp::fcl::Halfspace::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Halfspace::inflated))
    return "Inflate the cylinder by an amount given by value. \n"
"\n"
"\n"
"Param\n"
"  - value of the shape inflation.\n"
"\n"
"Return: a new inflated cylinder and the related transform to account for the change of shape frame ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (std::pair< hpp::fcl::Halfspace , hpp::fcl::Transform3f > (hpp::fcl::Halfspace::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Halfspace , hpp::fcl::Transform3f > (hpp::fcl::Halfspace::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Halfspace::inflated))
    return (boost::python::arg("self"), boost::python::arg("value"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

inline const char* member_func_doc (unsigned char const & (hpp::fcl::ConvexBase::Neighbors::*function_ptr) () const)
{
  if (function_ptr == static_cast<unsigned char const & (hpp::fcl::ConvexBase::Neighbors::*) () const>(&hpp::fcl::ConvexBase::Neighbors::count))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (unsigned char const & (hpp::fcl::ConvexBase::Neighbors::*function_ptr) () const)
{
  if (function_ptr == static_cast<unsigned char const & (hpp::fcl::ConvexBase::Neighbors::*) () const>(&hpp::fcl::ConvexBase::Neighbors::count))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (unsigned int & (hpp::fcl::ConvexBase::Neighbors::*function_ptr) (int))
{
  if (function_ptr == static_cast<unsigned int & (hpp::fcl::ConvexBase::Neighbors::*) (int)>(&hpp::fcl::ConvexBase::Neighbors::operator[]))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (unsigned int & (hpp::fcl::ConvexBase::Neighbors::*function_ptr) (int))
{
  if (function_ptr == static_cast<unsigned int & (hpp::fcl::ConvexBase::Neighbors::*) (int)>(&hpp::fcl::ConvexBase::Neighbors::operator[]))
    return (boost::python::arg("self"), boost::python::arg("i"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (unsigned int const & (hpp::fcl::ConvexBase::Neighbors::*function_ptr) (int) const)
{
  if (function_ptr == static_cast<unsigned int const & (hpp::fcl::ConvexBase::Neighbors::*) (int) const>(&hpp::fcl::ConvexBase::Neighbors::operator[]))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (unsigned int const & (hpp::fcl::ConvexBase::Neighbors::*function_ptr) (int) const)
{
  if (function_ptr == static_cast<unsigned int const & (hpp::fcl::ConvexBase::Neighbors::*) (int) const>(&hpp::fcl::ConvexBase::Neighbors::operator[]))
    return (boost::python::arg("self"), boost::python::arg("i"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (bool (hpp::fcl::ConvexBase::Neighbors::*function_ptr) (const hpp::fcl::ConvexBase::Neighbors &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::ConvexBase::Neighbors::*) (const hpp::fcl::ConvexBase::Neighbors &) const>(&hpp::fcl::ConvexBase::Neighbors::operator==))
    return "";
  if (function_ptr == static_cast<bool (hpp::fcl::ConvexBase::Neighbors::*) (const hpp::fcl::ConvexBase::Neighbors &) const>(&hpp::fcl::ConvexBase::Neighbors::operator!=))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (bool (hpp::fcl::ConvexBase::Neighbors::*function_ptr) (const hpp::fcl::ConvexBase::Neighbors &) const)
{
  if (function_ptr == static_cast<bool (hpp::fcl::ConvexBase::Neighbors::*) (const hpp::fcl::ConvexBase::Neighbors &) const>(&hpp::fcl::ConvexBase::Neighbors::operator==))
    return (boost::python::arg("self"), boost::python::arg("other"));
  if (function_ptr == static_cast<bool (hpp::fcl::ConvexBase::Neighbors::*) (const hpp::fcl::ConvexBase::Neighbors &) const>(&hpp::fcl::ConvexBase::Neighbors::operator!=))
    return (boost::python::arg("self"), boost::python::arg("other"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::Plane >
{
static inline const char* run ()
{
  return "Infinite plane. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "n") == 0)
    return "hpp::fcl::Plane normal. ";
  if (strcmp(attrib, "d") == 0)
    return "hpp::fcl::Plane offset. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_2_impl< hpp::fcl::Plane, const hpp::fcl::Vec3f &,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "Construct a plane with normal direction and offset. ";
}
static inline boost::python::detail::keywords<2+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("n_"), boost::python::arg("d_"));
}
};

template <>
struct constructor_4_impl< hpp::fcl::Plane,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "Construct a plane with normal direction and offset. ";
}
static inline boost::python::detail::keywords<4+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("a"), boost::python::arg("b"), boost::python::arg("c"), boost::python::arg("d_"));
}
};

template <>
struct constructor_0_impl< hpp::fcl::Plane >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Plane, const hpp::fcl::Plane & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

inline const char* member_func_doc ( hpp::fcl::Plane & (hpp::fcl::Plane::*function_ptr) (const hpp::fcl::Plane &))
{
  if (function_ptr == static_cast< hpp::fcl::Plane & (hpp::fcl::Plane::*) (const hpp::fcl::Plane &)>(&hpp::fcl::Plane::operator=))
    return "operator = ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::Plane & (hpp::fcl::Plane::*function_ptr) (const hpp::fcl::Plane &))
{
  if (function_ptr == static_cast< hpp::fcl::Plane & (hpp::fcl::Plane::*) (const hpp::fcl::Plane &)>(&hpp::fcl::Plane::operator=))
    return (boost::python::arg("self"), boost::python::arg("other"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc ( hpp::fcl::Plane * (hpp::fcl::Plane::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Plane * (hpp::fcl::Plane::*) () const>(&hpp::fcl::Plane::clone))
    return "Clone *this into a new hpp::fcl::Plane. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Plane * (hpp::fcl::Plane::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Plane * (hpp::fcl::Plane::*) () const>(&hpp::fcl::Plane::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::Plane::*function_ptr) (const hpp::fcl::Vec3f &) const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Plane::*) (const hpp::fcl::Vec3f &) const>(&hpp::fcl::Plane::signedDistance))
    return "";
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Plane::*) (const hpp::fcl::Vec3f &) const>(&hpp::fcl::Plane::distance))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::Plane::*function_ptr) (const hpp::fcl::Vec3f &) const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Plane::*) (const hpp::fcl::Vec3f &) const>(&hpp::fcl::Plane::signedDistance))
    return (boost::python::arg("self"), boost::python::arg("p"));
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Plane::*) (const hpp::fcl::Vec3f &) const>(&hpp::fcl::Plane::distance))
    return (boost::python::arg("self"), boost::python::arg("p"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc (void (hpp::fcl::Plane::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Plane::*) ()>(&hpp::fcl::Plane::computeLocalAABB))
    return "Compute hpp::fcl::AABB. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::Plane::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Plane::*) ()>(&hpp::fcl::Plane::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::Plane::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Plane::*) () const>(&hpp::fcl::Plane::getNodeType))
    return "Get node type: a plane. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::Plane::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Plane::*) () const>(&hpp::fcl::Plane::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::ShapeBase >
{
static inline const char* run ()
{
  return "Base class for all basic geometric shapes. ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::ShapeBase >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::ShapeBase, const hpp::fcl::ShapeBase & >
{
static inline const char* doc ()
{
  return "Copy constructor ";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

template <>
struct destructor_doc_impl < hpp::fcl::ShapeBase >
{
static inline const char* run ()
{
  return "";
}
};

inline const char* member_func_doc ( hpp::fcl::ShapeBase & (hpp::fcl::ShapeBase::*function_ptr) (const hpp::fcl::ShapeBase &))
{
  if (function_ptr == static_cast< hpp::fcl::ShapeBase & (hpp::fcl::ShapeBase::*) (const hpp::fcl::ShapeBase &)>(&hpp::fcl::ShapeBase::operator=))
    return "";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args ( hpp::fcl::ShapeBase & (hpp::fcl::ShapeBase::*function_ptr) (const hpp::fcl::ShapeBase &))
{
  if (function_ptr == static_cast< hpp::fcl::ShapeBase & (hpp::fcl::ShapeBase::*) (const hpp::fcl::ShapeBase &)>(&hpp::fcl::ShapeBase::operator=))
    return (boost::python::arg("self"), boost::python::arg("other"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}

inline const char* member_func_doc ( hpp::fcl::OBJECT_TYPE (hpp::fcl::ShapeBase::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::OBJECT_TYPE (hpp::fcl::ShapeBase::*) () const>(&hpp::fcl::ShapeBase::getObjectType))
    return "Get object type: a geometric shape. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::OBJECT_TYPE (hpp::fcl::ShapeBase::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::OBJECT_TYPE (hpp::fcl::ShapeBase::*) () const>(&hpp::fcl::ShapeBase::getObjectType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::Sphere >
{
static inline const char* run ()
{
  return "Center at zero point sphere. ";
}
static inline const char* attribute (const char* attrib)
{
  if (strcmp(attrib, "radius") == 0)
    return "Radius of the sphere. ";
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::Sphere >
{
static inline const char* doc ()
{
  return "Default constructor. ";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Sphere,  hpp::fcl::FCL_REAL >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("radius_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::Sphere, const hpp::fcl::Sphere & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

inline const char* member_func_doc ( hpp::fcl::Sphere * (hpp::fcl::Sphere::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Sphere * (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::clone))
    return "Clone *this into a new hpp::fcl::Sphere. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Sphere * (hpp::fcl::Sphere::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Sphere * (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::Sphere::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Sphere::*) ()>(&hpp::fcl::Sphere::computeLocalAABB))
    return "Compute hpp::fcl::AABB. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::Sphere::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::Sphere::*) ()>(&hpp::fcl::Sphere::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::Sphere::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::getNodeType))
    return "Get node type: a sphere. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::Sphere::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::Matrix3f (hpp::fcl::Sphere::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::computeMomentofInertia))
    return "compute the inertia matrix, related to the origin ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::Matrix3f (hpp::fcl::Sphere::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::Matrix3f (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::computeMomentofInertia))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::FCL_REAL (hpp::fcl::Sphere::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::computeVolume))
    return "compute the volume ";
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::minInflationValue))
    return "";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::FCL_REAL (hpp::fcl::Sphere::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::computeVolume))
    return (boost::python::arg("self"));
  if (function_ptr == static_cast< hpp::fcl::FCL_REAL (hpp::fcl::Sphere::*) () const>(&hpp::fcl::Sphere::minInflationValue))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (std::pair< hpp::fcl::Sphere , hpp::fcl::Transform3f > (hpp::fcl::Sphere::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Sphere , hpp::fcl::Transform3f > (hpp::fcl::Sphere::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Sphere::inflated))
    return "Inflate the sphere by an amount given by value. \n"
"\n"
"\n"
"Param\n"
"  - value of the shape inflation.\n"
"\n"
"Return: a new inflated sphere and the related transform to account for the change of shape frame ";
  return "";
}

inline boost::python::detail::keywords<2> member_func_args (std::pair< hpp::fcl::Sphere , hpp::fcl::Transform3f > (hpp::fcl::Sphere::*function_ptr) (const hpp::fcl::FCL_REAL) const)
{
  if (function_ptr == static_cast<std::pair< hpp::fcl::Sphere , hpp::fcl::Transform3f > (hpp::fcl::Sphere::*) (const hpp::fcl::FCL_REAL) const>(&hpp::fcl::Sphere::inflated))
    return (boost::python::arg("self"), boost::python::arg("value"));
  return (boost::python::arg("self"), boost::python::arg("arg0"));
}
} // namespace doxygen
#include <hpp/fcl/shape/geometric_shapes.h>

namespace doxygen {

template <>
struct class_doc_impl< hpp::fcl::TriangleP >
{
static inline const char* run ()
{
  return "hpp::fcl::Triangle stores the points instead of only indices of points. ";
}
static inline const char* attribute (const char* attrib)
{
  (void)attrib; // turn off unused parameter warning.
  return "";
}
};

template <>
struct constructor_0_impl< hpp::fcl::TriangleP >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<0+1> args ()
{
  return (boost::python::arg("self"));
}
};

template <>
struct constructor_3_impl< hpp::fcl::TriangleP, const hpp::fcl::Vec3f &, const hpp::fcl::Vec3f &, const hpp::fcl::Vec3f & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<3+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("a_"), boost::python::arg("b_"), boost::python::arg("c_"));
}
};

template <>
struct constructor_1_impl< hpp::fcl::TriangleP, const hpp::fcl::TriangleP & >
{
static inline const char* doc ()
{
  return "";
}
static inline boost::python::detail::keywords<1+1> args ()
{
  return (boost::python::arg("self"), boost::python::arg("other"));
}
};

inline const char* member_func_doc ( hpp::fcl::TriangleP * (hpp::fcl::TriangleP::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::TriangleP * (hpp::fcl::TriangleP::*) () const>(&hpp::fcl::TriangleP::clone))
    return "Clone *this into a new hpp::fcl::TriangleP. ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::TriangleP * (hpp::fcl::TriangleP::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::TriangleP * (hpp::fcl::TriangleP::*) () const>(&hpp::fcl::TriangleP::clone))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc (void (hpp::fcl::TriangleP::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::TriangleP::*) ()>(&hpp::fcl::TriangleP::computeLocalAABB))
    return "virtual function of compute hpp::fcl::AABB in local coordinate ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args (void (hpp::fcl::TriangleP::*function_ptr) ())
{
  if (function_ptr == static_cast<void (hpp::fcl::TriangleP::*) ()>(&hpp::fcl::TriangleP::computeLocalAABB))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}

inline const char* member_func_doc ( hpp::fcl::NODE_TYPE (hpp::fcl::TriangleP::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::TriangleP::*) () const>(&hpp::fcl::TriangleP::getNodeType))
    return "get the node type ";
  return "";
}

inline boost::python::detail::keywords<1> member_func_args ( hpp::fcl::NODE_TYPE (hpp::fcl::TriangleP::*function_ptr) () const)
{
  if (function_ptr == static_cast< hpp::fcl::NODE_TYPE (hpp::fcl::TriangleP::*) () const>(&hpp::fcl::TriangleP::getNodeType))
    return (boost::python::arg("self"));
  return (boost::python::arg("self"));
}
} // namespace doxygen

#endif // DOXYGEN_AUTODOC_HPP_FCL_SHAPE_GEOMETRIC_SHAPES_H

